# class KParts.GenericFactoryBase

###

Table of contents
Modules
kparts Classes
All Classes

Module | kparts
Namespace | kparts
Class | KParts.GenericFactoryBase
Inherits | KParts.Factory

Internal

### methods

- GenericFactoryBase ()

  returns nothing

- aboutData ()

  returns (KAboutData)
  static

- componentData ()

  returns (KComponentData)
  static

- createComponentData ()

  returns (KComponentData)

- partComponentData ()

  returns (KComponentData)